Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface ContextProcessorParams

    public interface ContextProcessorParams

Represents the parameters that a context processor is able to read and modify.

Method Summary
`java.util.Locale` | `getCurrentLocale()` Returns the current users Locale
`java.lang.String` | `getPortletId()` Returns a string which uniquely identifies the current portlet instance
`PortletRequest` | `getPortletRequest()` Returns the portlet request that is passed to the current web content viewer portlet instance.
`PortletResponse` | `getPortletResponse()` Returns the portlet response that is passed to the current web content viewer portlet instance.
`RenderingContext` | `getRenderingContext()` Returns the WCM API RenderingContext for the current request
`Workspace` | `getWorkspace()` Returns the WCM API Workspace for the current user
`void` | `setRenderingContext(RenderingContext renderingContext)` Sets the WCM API RenderingContext for the current request

Method Detail

### getWorkspace

    Workspace getWorkspace()

  Returns the WCM API Workspace for the current user

  Returns:
    the WCM API Workspace for the current user

### getCurrentLocale

    java.util.Locale getCurrentLocale()

  Returns the current users Locale

  Returns:
    the current users Locale

### getPortletId

    java.lang.String getPortletId()

  Returns a string which uniquely identifies the current portlet instance

  Returns:
    a string which uniquely identifies the current portlet instance

### getPortletRequest

    PortletRequest getPortletRequest()

  Returns the portlet request that is passed to the current web content viewer portlet instance.

  Note: This method is not supported by the deprecated Web Content Viewer portlet. Use the Web Content Viewer portlet if a context processor requires access to the portlet request and response.

  Returns:
    the current portlet request

### getPortletResponse

    PortletResponse getPortletResponse()

  Returns the portlet response that is passed to the current web content viewer portlet instance.

  Note: This method is not supported by the deprecated Web Content Viewer portlet. Use the Web Content Viewer portlet if a context processor requires access to the portlet request and response.

  Returns:
    the current portlet response

### getRenderingContext

    RenderingContext getRenderingContext()

  Returns the WCM API RenderingContext for the current request

  This method does not return a copy of the RenderingContext, thus any changes made to the returned RenderingContext will be reflected within this ContextProcessorParams object

  Returns:
    the WCM API RenderingContext for the current request

### setRenderingContext

    void setRenderingContext(RenderingContext renderingContext)

  Sets the WCM API RenderingContext for the current request

  Parameters:
    `renderingContext` - the WCM API RenderingContext for the current request

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD